%global momorel 7

Name:           perl-POE-API-Peek
Version:        1.34
Release:        %{momorel}m%{?dist}
Summary:        Peek into the internals of a running POE environment
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-API-Peek/
Source0:	http://www.cpan.org/modules/by-module/POE/POE-API-Peek-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-%{version}-test-workaround.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006001
BuildRequires:  perl-Devel-Size
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-POE >= 1.291
BuildRequires:  perl-Test-NoWarnings
BuildRequires:  perl-Test-Pod-Coverage
Requires:       perl-Devel-Size
Requires:       perl-POE >= 1.291
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README VERSION
%{perl_vendorlib}/POE/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.34-7m)
- full rebuild for mo7 release

* Fri Jul 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-6m)
- rebuild with POE-1.291

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.34-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-2m)
- rebuild against perl-5.10.1

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
